Page MenuHomePhabricator

Update the citoid/deploy branch to not contain zotero deploy
Closed, ResolvedPublic

Description

Need to clean up the citoid to not contain a deployment of zotero. Still unclear on the exact needed parts. Depends on T89866

Event Timeline

akosiaris raised the priority of this task from to Needs Triage.
akosiaris updated the task description. (Show Details)
akosiaris added a project: acl*sre-team.
akosiaris added subscribers: Aklapper, akosiaris.
Mvolz moved this task from Backlog to Production on the Citoid board.Feb 21 2015, 1:21 PM
ArielGlenn triaged this task as High priority.Feb 26 2015, 8:16 AM
ArielGlenn set Security to None.
Mvolz added a subscriber: Mvolz.Mar 5 2015, 3:27 PM

@akosiaris is it safe to assume from your comment on T89866 this task should be "remove xulrunner?" instead of remove zotero?

akosiaris added a comment.EditedMar 5 2015, 3:28 PM

No, I actually meant remove the zotero parts (well some part of xulrunner as well). I already got a patch ready, will upload it soon

Change is at https://gerrit.wikimedia.org/r/#/c/194548/ (isn't a bot supposed to do what I just did ?)

Change is at https://gerrit.wikimedia.org/r/#/c/194548/ (isn't a bot supposed to do what I just did ?)

I too have noticed this bot issue. @QChris are you around?

QChris added a comment.EditedMar 7 2015, 3:54 PM

Change is at https://gerrit.wikimedia.org/r/#/c/194548/ (isn't a bot supposed to do what I just did ?)

I too have noticed this bot issue. @QChris are you around?

The bot (on purpose) only links bug references from the last paragraph.

Hence, the blank line between the “Bug: ...” and “Change-Id: ...” in the above change, made the bot think that the “Bug: ...” line was just part of the commit's description and should not be linked.

See https://www.mediawiki.org/wiki/Gerrit/Commit_message_guidelines#Example where T176 is mentioned but not linked, and T42 is linked.

If you want the bot to link a phabricator task, put the “Bug: [...]” line in the last paragraph of the commit message.

OK, I wasn't aware of that, thanks!

Change 194548 had a related patch set uploaded (by Jforrester):
Remove the zotero translation server and translators

https://gerrit.wikimedia.org/r/194548

Jdforrester-WMF closed this task as Resolved.Mar 12 2015, 8:27 PM

Change 194548 merged by GWicke:
Remove the zotero translation server and translators

https://gerrit.wikimedia.org/r/194548